From f31e9e29e12e123fc59f1c05978811dd4f6faed9 Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Sun, 12 Sep 2010 13:58:30 +0100
Subject: [PATCH 12/34] remove unneeded app from event handler

---
 gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py |    8 ++++----
 gnumed/gnumed/client/ProxiedWeb/gui/GNUmedWeb.py |    4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py b/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py
index 5aea93d..2bc2edd 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py
@@ -1,11 +1,11 @@
 from pyjamas.EventController import Handler
 
 class GNUmedEvents(object):
-    def __init__(self, app):
-        self.login = Handler(self, "Login", app)
+    def __init__(self):
+        self.login = Handler(self, "Login")
 
 events = None
 
-def init_events(app):
+def init_events():
     global events
-    events = GNUmedEvents(app)
+    events = GNUmedEvents()
diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/GNUmedWeb.py b/gnumed/gnumed/client/ProxiedWeb/gui/GNUmedWeb.py
index 34df89c..24a5599 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/GNUmedWeb.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/GNUmedWeb.py
@@ -14,7 +14,7 @@ class gmTopLevelLayer:
     
     def onModuleLoad(self):
 
-        GMWevents.init_events(self)
+        GMWevents.init_events()
         GMWevents.events.addLoginListener(self) # want to receive onLogin
 
         self.TEXT_ERROR = "Server Error"
@@ -26,7 +26,7 @@ class gmTopLevelLayer:
 
         RootPanel().add(self.maindisplay)
 
-    def onLogin(self, sender, app, username, logged_in):
+    def onLogin(self, sender, username, logged_in):
         if logged_in:
             self.logged_in(username)
         else:
-- 
1.7.1

